Skip to content

POST Add object to space

POST /spaces/{roomId}/objects/add: Add object to space. 3D objects are placed at the origin; position them with /spaces/{roomId}/objects/transform. position

POSThttps://api.rooom.com/spaces/{roomId}/objects/add
Try it out
space:write

Parameters

Path Parameters

NameTypeDescription
roomIdrequired
Example: _roomId_
stringRoom identifier.

Body required

multipart/form-data
NameTypeDescriptionValues
typestringObject type3Dfont
objectIdstring3D Object Id
setIdstring3D Object set Id
fontnamestringFont name
contentstringFont text
color-diffusestringFont color diffuse (#Hex-Code)
color-emissivestringFont color emissive (#Hex-Code)
letter-thicknessnumberFont size
position[x]numberX-position (font objects only)
position[y]numberY-position (font objects only)
position[z]numberZ-position (font objects only)
rotation[x]numberX-rotation (font objects only)
rotation[y]numberY-rotation (font objects only)
rotation[z]numberZ-rotation (font objects only)

Responses

201Space object created
401Missing scope or not the space owner
404Space or catalogue object not found
POST /spaces/{roomId}/objects/add Add object to space 3D objects are placed at the origin; position them with /spaces/{roomId}/objects/transform. position and rotation apply to font objects only. Required scopes: space:write roomId Room identifier. type Object type objectId 3D Object Id setId 3D Object set Id fontname Font name content Font text color-diffuse Font color diffuse (#Hex-Code) color-emissive Font color emissive (#Hex-Code) letter-thickness Font size position[x] X-position (font objects only) position[y] Y-position (font objects only) position[z] Z-position (font objects only) rotation[x] X-rotation (font objects only) rotation[y] Y-rotation (font objects only) rotation[z] Z-rotation (font objects only)